com.corticon.rulesemf.canonicalvocabularymodel

## Interface VocabularyString

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject, VocabularyProperty

      public interface VocabularyString
      extends VocabularyProperty

  A representation of the model object 'Vocabulary String'.

  The following features are supported:

  - `Value`
  See Also:
    `CanonicalvocabularymodelPackage.getVocabularyString()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the value of the 'Value' attribute
    `void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalvocabularymodel.VocabularyProperty

      `isManuallyCreated, setManuallyCreated`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getValue

          java.lang.String getValue()

      Returns the value of the 'Value' attribute.

      If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value' attribute.
      See Also:
        `setValue(String)`, `CanonicalvocabularymodelPackage.getVocabularyString_Value()`

    - #### setValue

          void setValue(java.lang.String value)

      Sets the value of the '`Value`' attribute.
      Parameters:
        `value` - the new value of the 'Value' attribute.
      See Also:
        `getValue()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.